<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>

	<script type="text/javascript">
		

	let cadena="";

	cadena=prompt("Introduce una cadena");

	cadena_nueva=new Array (cadena.length);

	for(i=0;i<=cadena.length-1;i++) {

		if(cadena[i]=="a"||cadena[i]=="e"||cadena[i]=="i"||cadena[i]=="o"||cadena[i]=="u") {
			cadena_nueva[i]=".";

		} else {

			cadena_nueva[i]=cadena[i];
		}
	}

	document.write(cadena+"<br>");

	for(i=0;i<=cadena_nueva.length-1;i++) {

	document.write(cadena_nueva[i]);


	}



	</script>
</head>
<body>
	
</body>
</html>